switch-priv-modes:
  switch_modes: false 
  num_switches: 5

priv-mode:
  mode: u

general:
  total_instructions: 1000
  regs_not_use: x1,x2,x0
  custom_trap_handler: false
  code_start_address: 0x80000000
  default_program_exit: false
  delegation: 0x000

isa-instruction-distribution:
  rel_sys: 0
  rel_sys.csr: 0
  rel_rv32i.ctrl: 0
  rel_rv32i.compute: 10
  rel_rv32i.data: 10
  rel_rv32i.fence: 10
  rel_rv64i.compute: 10
  rel_rv64i.data: 10
  rel_rv32m: 10
  rel_rv64m: 10
  rel_rv32a: 10
  rel_rv64a: 10
  rel_rv32f: 10
  rel_rv64f: 10
  rel_rv32d: 10
  rel_rv64d: 10
  rel_rvc.ctrl: 0
  rel_rvc.compute: 10
  rel_rvc.sp: 10
  rel_rvc.data: 10
  rel_rvc.fdata: 20
  rel_rv32c.compute: 0
  rel_rv32c.ctrl: 0
  rel_rv32c.fdata: 0 #Either 32c or 64c
  rel_rv64c.compute: 10
  rel_rv64c.data: 10

float-rounding:
  rne: 10
  rtz: 10
  rdn: 10
  rup: 10
  rmm: 10
  dyn: 10

branch-control:
  block-size: 7
  backward-probability: 0.1

recursion-options:
  recursion-enable: false
  recursion-depth: 10
  recursion-calls: 5
#15 pages :0x8009001f,0x800fffff
access-sections:
  #begin_signature: 0x80090fff,0x800fffff,rw
  begin_signature: 0x80200000,0x80400000,rw
#orig 0x80090000,0x800fffff,rw
#0x80ff0000,0x80ffffff,rw
user-functions:
  func1: '{390: "addi sp, sp, -20*REGBYTES;
 SREG x5, 5*REGBYTES(sp);
SREG x10, 10*REGBYTES(sp);
SREG x11, 11*REGBYTES(sp);
SREG x31, 31*REGBYTES(sp);
SREG x30, 30*REGBYTES(sp);
SREG x7, 7*REGBYTES(sp);
SREG x6, 6*REGBYTES(sp);
SREG x21, 21*REGBYTES(sp);
la t0, begin_signature;
 li s5, 2047;
 addi s5, s5, 1;
 slli s5, s5, 1;
 addi t1, t0, 2047;
 addi t1, t1, 1;
 li a0, 0xe;
 li t6, 0;
 li t2, 0xabee;
 loop_store:sh t2,0(t0);
 sh t2,64(t0);
 sh t2,128(t0);
 sh t2,192(t0);
 sh t2,256(t0);
mul t2,t0,a0;
 sh t2,320(t0);
 sh t2,384(t0);
 sh x20,448(t0);
 sh t2,512(t0);
lh t2,0(t1);
 sh t2,576(t0);
 sh s6,640(t0);
 sh t2,704(t0);
 sh t2,768(t0);
lh t2,0(t1);
 sh t2,832(t0);
 sh t2,896(t0);
lh t2,0(t1);
 sh t2,960(t0);
 sh t2,1024(t0);
 sh t2,1088(t0);
div t2, t0,a0;
 sh t2,1152(t0);
 sh t2,1216(t0);
 sh t2,1280(t0);
 sh t2,1344(t0);
 sh t2,1408(t0);
 sh t2,1472(t0);
fence;
 sh t2,1536(t0);
beq t2, t1, loop_store;
mul t2,t0,a0;
beq t2, t1, loop_store;
beq s0, t1, loop_store;
beq t2, t1, loop_store;
fence;
beq t2, t1, loop_store;
 sh t2,1600(t0);
 sh t2,1664(t0);
 sh t2,1728(t0);
 sh t2,1792(t0);
 sh t2,1856(t0);
mul t2,t0,a0;
 sh t2,1920(t0);
 sh t2,1984(t0);
 sh t2,0(t1);
lh t2,0(t1);
 sh t2,64(t1);
 sh t2,128(t1);
 sh t2,192(t1);
 sh t2,256(t1);
 sh t2,320(t1);
mul t2,t0,a0;
 sh t2,384(t1);
div t2, t0,a0;
 sh t2,448(t1);
 sh t4,512(t1);
beq t2, t1, loop_store;
lh t2,0(t1);
beq t2, t1, loop_store;
beq t2, t1, loop_store;
beq t2, t1, loop_store;
lh t2, 576(t1);
 sh t2,576(t1);
 sh t2,640(t1);
 sh t2,704(t1);
 sh t1,768(t1);
 sh t2,832(t1);
 sh t2,896(t1);
beq t2, t1, loop_store;
beq t3, t1, loop_store;
beq t2, t1, loop_store;
beq t2, t1, loop_store;
 sh t2,960(t1);
 sh t2,1024(t1);
 sh t2,1088(t1);
 sh t2,1152(t1);
lh t2,0(t1);
 sh t2,1216(t1);
 sh t2,1280(t1);
mul t2,t0,a0;
 sh t2,1344(t1);
lh t2,0(t1);
 sh t2,1408(t1);
 sh t2,1472(t1);
 sh t2,1536(t1);
 sh t2,1600(t1);
 sh t2,1664(t1);
 sh t2,1728(t1);
fence;
 sh t2,1792(t1);
lh t2,0(t1);
 sh t2,1856(t1);
 sh t2,1920(t1);
 sh t2,1984(t1);
 add t0, t0, s5;
 add t1, t1, s5;
 addi t6, t6, 1;
nop;
nop;
nop;
nop;
mul t2,t0,a0;
 bne t6, a0, loop_store;
 LREG x5, 5*REGBYTES(sp);
 LREG x10, 10*REGBYTES(sp);
 LREG x11, 11*REGBYTES(sp);
 LREG x31, 31*REGBYTES(sp);
 LREG x30, 30*REGBYTES(sp);
LREG x7, 7*REGBYTES(sp);
LREG x6, 6*REGBYTES(sp);
LREG x21, 21*REGBYTES(sp);
 addi sp, sp, 20*REGBYTES;
" }'

 
i-cache:
  num_calls: 0
  num_bytes_per_block: 16
  num_blocks: 8
  num_cycles: 10

d-cache:
  num_calls: 10
  num_bytes_per_block: 16
  num_blocks: 8
  num_cycles: 10

exception-generation:
  ecause00: 0
  ecause01: 0
  ecause02: 0
  ecause03: 0
  ecause04: 0
  ecause05: 0
  ecause06: 0
  ecause07: 0
  ecause08: 0
  ecause09: 0
  ecause10: 0
  ecause11: 0
  ecause12: 0
  ecause13: 0
  ecause14: 0

csr-sections:
  sections: 0x000:0xfff

data-hazards:
  raw_prob: 1
  war_prob: 1
  waw_prob: 1
  num_regs_lookbehind: 3

program-macro:
  pre_program_macro: "add x0,x0,x0"
  post_program_macro: "li gp,1;
 \n sw gp, tohost, t5;
\n fence.i;
\n li t6,  0x20000;
 \n la t5, begin_signature;
 \n sw t5, 0(t6);
 \n la t5, end_signature \n sw t5, 8(t6);
 \n sw t5,  12(t6);
"        
  pre_branch_macro: "add x0,x0,x0"
  post_branch_macro: "add x0,x0,x0"
  ecause00: "random"
  ecause01: "random"
  ecause02: "random"
  ecause03: "random"
  ecause04: "random"
  ecause05: "random"
  ecause06: "random"
  ecause07: "random"
  ecause08: "random"
  ecause09: "random"
  ecause10: "random"
  ecause11: "random"
  ecause12: "random"
  ecause13: "random"
  ecause14: "random"
